Ubuntu

iBus indicator does not show on the panel

Reported by Duy Anh on 2011-10-16
228
This bug affects 44 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
James M. Leddy
Precise
Medium
Unassigned
Release Notes for Ubuntu
Undecided
Unassigned
ibus (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
im-switch (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Gunnar Hjalmarsson
Precise
Undecided
Gunnar Hjalmarsson
Quantal
Undecided
Gunnar Hjalmarsson
language-selector (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

IBus icon does not show at Unity panel in some environments, we are discovering the real culprit now.

[Impact]
Impacts all users of CJK languages or any other user depending on IBUS for character composition. This is a rather large user base and the prority of this bug has been updated as to reflect the impact on users.
The missing indicator on session start disables users from having a visual cue of the current state of the ibus support for their session, as well as the current ibus input method in use, which may change during the course of a session. Furthermore, since the underlying issue appears to be related to ibus-daemon startup, this may render ibus input unusable until the daemon is restarted.

[Release note for P]
see https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/875435/comments/23

[Development Fix]
(TBD)

[Stable Fix]
(TBD)

[Workaround]
We have some workarounds, but they are not root fix. The root cause is not identified.

A) gsettings approach:
see comment 8, comment 23

B) exec: ibus-daemon -rxd
RESTARTing ibus-daemon can fix the one-time solution. If user met this problem, executing `ibus-daemon -rxd`. This command restart ibus-daemon, and fix for current login sessions. But that is not root fix, if user restart the session (or reboot system), problem are back-in.

Notes: If user exec the Ibus icon on Dash, that is not functional. Because ibus-daemon are already running by /etc/X11/Xsession.d/80im-switch.

B') .desktop approach (with user initiated ibus restart)
Workaround is as discussed in this bug report, to apply the debdiff provided by Ikuya Awashiro. This change modifies the parameters passed to ibus-daemon's .desktop file, that used in a Unity Dash. That provide more better B) approach.
the session manager on a new session; and makes ibus-daemon replace any previously running ibus daemon for the user.

[Test Case]
1) Start a Unity session with a CJK language (Chinese, Japanese, Korean, Vietnamese) or any other language depending on ibus to compose characters.
2) Verify that the ibus indicator is shown in the Unity panel, and that ibus input can be used.

The indicator should be visible in all cases. Since this bug is akin to a race condition, it may need a few startups to trigger the bug.

[Regression Potential]
Minimal, this only affects the ibus daemon on session startup in the way that it gets spawned by the session manager: it will replace any other running ibus daemon at the time, though none should be running before ibus-daemon gets spawned regardless. A different (or the same) ibus daemon can still be started manually.
Possible issues could include the ibus daemon failing to start altogether with the session, in which case the ibus input methods would be unavailable, and can be started manually by users (using a terminal).

[Background]
(guess by Ikuya AWASHIRO, Fumihito YOSHIDA)
In Ubuntu/Unity environments, ibus-daemon are initiated by /etc/X11/Xsession.d/80im-switch scripts. That invoked at early state on system start-up, so too early invoking bring up the race between Unity-panel and indicator-ibus. If indicator-ibus are start-up at too fast phase, the Unity-panel are not started, that cause "no icon" running.

------

iBus still run but doesn't show off in the panel, in every way. The only thing to make it right is do ibus-deamon -rxd

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: ibus 1.3.99.20110419-1ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu3
Architecture: i386
Date: Sun Oct 16 09:19:00 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: ibus
UpgradeStatus: Upgraded to oneiric on 2011-10-13 (2 days ago)

Duy Anh (myfanisuuuu) wrote :
Changed in ibus (Ubuntu):
status: New → Confirmed

I think we should add this fix to ibus in next ubuntu update kernel (1 month later)

>________________________________
>Từ: Rex Tsai <email address hidden>
>Đến: <email address hidden>
>Đã gửi 9:32:05 Thứ Hai, 17 tháng 10 2011
>Chủ đề: [Bug 875435] Re: iBus not show off in panel
>
>workdaround from fourdollars[1][2]
>http://images.plurk.com/f17781469b35ce54aa8aea97219de746.jpg
>
>[1] https://launchpad.net/~fourdollars/
>[2] http://www.plurk.com/fourdollars
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/875435
>
>Title:
>  iBus not show off in panel
>
>Status in “ibus” package in Ubuntu:
>  New
>
>Bug description:
>  iBus still run but doesn't show off in the panel, in every way. The
>  only thing to make it right is do ibus-deamon -rd
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: ibus 1.3.99.20110419-1ubuntu3
>  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
>  Uname: Linux 3.0.0-12-generic i686
>  ApportVersion: 1.23-0ubuntu3
>  Architecture: i386
>  Date: Sun Oct 16 09:19:00 2011
>  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
>  SourcePackage: ibus
>  UpgradeStatus: Upgraded to oneiric on 2011-10-13 (2 days ago)
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/875435/+subscriptions
>
>
>

I just tested a fresh install oneiric[1], ibus works great. May I know which version of iso you are testing?

[1] 0d64f0532316a0a212c5916d997581e72c52ff02 ubuntu-11.10-desktop-amd64.iso

Song Zhao (zhaosong414) wrote :
Download full text (3.7 KiB)

I have the similar problem with oneiric.1. login
2. ps axw|grep ibus
 4194 ? Sl 0:00 /usr/bin/ibus-daemon --xim
 4200 ? Sl 0:00 /usr/lib/ibus/ibus-gconf
 4202 ? Rl 0:35 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
 4204 ? Rl 0:34 /usr/lib/ibus/ibus-x11 --kill-daemon
 4256 ? Sl 0:00 /usr/lib//ibus-sunpinyin/ibus-engine-sunpinyin --ibus
 4836 pts/0 S+ 0:00 grep --color=auto ibus

 the ibus icon did not show in the upper right pannel and there was no input method. But the process:
 4204 ? Rl 0:34 /usr/lib/ibus/ibus-x11 --kill-daemon
occupied almost 100% cpu.

3. I killed the process:
 4204 ? Rl 0:34 /usr/lib/ibus/ibus-x11 --kill-daemon
and
 4202 ? Rl 0:35 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
in htop

4. then I pressed Alt+F2 run
 ibus-setup
5. I pressed ok when a dialog pop-up saying the ibus-daemon was not running and it would start a ibus-daemon.
6. ps axw|grep ibus
 4194 ? Z 0:04 [ibus-daemon] <defunct>
 4897 ? Sl 0:03 ibus-daemon --xim
 4898 ? Sl 0:00 /usr/lib/ibus/ibus-gconf
 4900 ? Sl 0:01 /usr/bin/python /usr/share/ibus/ui/gtk/main.py
 4902 ? Sl 0:00 /usr/lib/ibus/ibus-x11 --kill-daemon
 4907 ? Sl 0:00 /usr/lib//ibus-sunpinyin/ibus-engine-sunpinyin --ibus
 4928 pts/0 S+ 0:00 grep --color=auto ibus
now, the ibus icon showed in the upper right pannel, the input method worked fine, and cup occupation was normal.
7. logout
8. login, the same problem happened again as described in 1.

other information

1. lsb_release -d
Description: Ubuntu 11.10

2. dpkg -l|grep ibus
ii ibus 1.3.99.20110419-1ubuntu3 Intelligent Input Bus - core
ii ibus-gtk 1.3.99.20110419-1ubuntu3 Intelligent Input Bus - GTK+2 support
ii ibus-gtk3 1.3.99.20110419-1ubuntu3 Intelligent Input Bus - GTK+3 support
ii ibus-pinyin 1.3.99.20110706-1 Pinyin engine for IBus
ii ibus-pinyin-db-android 1.3.99.20110706-1 Pinyin engine for IBus - Android database
ii ibus-qt4 1.3.1-1ubuntu3 qt-immodule for ibus (QT4)
ii ibus-sunpinyin 2.0.3-1ubuntu1 sunpinyin engine for ibus
ii ibus-table 1.3.0.20100621-3ubuntu1 table engine for IBus
ii libibus-1.0-0 1.3.99.20110419-1ubuntu3 Intelligent Input Bus - shared library
ii libibus-qt1 1.3.1-1ubuntu3 qt-immodule for ibus (QT4)
rc libibus1 1.2.0.20091215-1ubuntu4 New input method framework using dbus
rc libibus2 1.3.9-0ubuntu3 New input method framework using dbus
ii libusb-0.1-4 2:...

Read more...

Lê Kiến Trúc (le-kien-truc) wrote :

We are Vietnamese user and we use ibus almost everyday. It's hard to reproduce this bug because, it is happen randomly. This bug is report by many user at ubuntu-vn. I'll try to investigate it more.

Lê Kiến Trúc (le-kien-truc) wrote :

After login i can't see the ibus icon on the tray bar. The probability of this bug is 50 percent. I do 10 login and logout, just 5 of login show up with ibus icon.

To make ibus icon (indicator) show on.

I must to kill ibus-daemon and run it again. With "ibus-daemon -x -d" i could type in skype, but without -x parameter I couldn't.
(or just run ibus-daemon -rxd)

What I can do to test this bug. I think this bug is very urgent because most of Vietnamese ubuntu user using ibus input method and this bug could make user crazy.

summary: - iBus not show off in panel
+ iBus indicator does not show in the panel
Lê Kiến Trúc (le-kien-truc) wrote :

An resolution for this bug is add ibus to the configuration of
com.canonical.Unity.Panel systray-whitelist
It'll look like ['JavaEmbeddedFrame', 'Wine', 'scp-dbus-service', 'Update-notifier', 'ibus']

I think it the bug come from scp-dbus-service or systray whitelist. I'll report more bug on these projects if have more information.

summary: - iBus indicator does not show in the panel
+ iBus indicator does not show on the panel
no longer affects: ibus

This is a proposed patch to fix this issue for Unity.

The attachment "unity_5.4.0-0ubuntu3.diff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

unsubscribing sponsors, the patch is an hack and should not be required since an indicator is used

So this bug might come from unity indicator. Simple hack just make ibus-deamon restart. If this bug won't be fixed, I will create a new script/package help user install Vietnamese input method and distribute it via https://launchpad.net/~ubuntu-vn/+archive/ppa

description: updated
tags: added: precise

Co the gui cho minh dia Ubantu va Kubantu 11.10

2012/3/7, Lê Kiến Trúc <email address hidden>:
> ** Description changed:
>
> iBus still run but doesn't show off in the panel, in every way. The only
> - thing to make it right is do ibus-deamon -rd
> + thing to make it right is do ibus-deamon -rxd
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: ibus 1.3.99.20110419-1ubuntu3
> ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> ApportVersion: 1.23-0ubuntu3
> Architecture: i386
> Date: Sun Oct 16 09:19:00 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: ibus
> UpgradeStatus: Upgraded to oneiric on 2011-10-13 (2 days ago)
>
> ** Tags added: precise
>
> --
> You received this bug notification because you are a member of Ubuntu
> Việt Nam, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/875435
>
> Title:
> iBus indicator does not show on the panel
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/875435/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~ubuntu-vn
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~ubuntu-vn
> More help : https://help.launchpad.net/ListHelp
>

These are error logs for this issue.
I don't know what do they mean.

** Message: moving back from GtkStatusIcon to indicator
/usr/share/ibus/ui/gtk/panel.py:567: Warning: /build/buildd/glib2.0-2.31.20/./gobject/gsignal.c:2572: instance `0x132fd00' has no handler with id `142'
  self.__appindicator.set_menu(menu)
/usr/share/ibus/ui/gtk/panel.py:567: Warning: /build/buildd/glib2.0-2.31.20/./gobject/gsignal.c:2572: instance `0x132fd00' has no handler with id `154'
  self.__appindicator.set_menu(menu)
/usr/share/ibus/ui/gtk/panel.py:567: Warning: /build/buildd/glib2.0-2.31.20/./gobject/gsignal.c:2572: instance `0x132fd00' has no handler with id `164'
  self.__appindicator.set_menu(menu)
/usr/share/ibus/ui/gtk/panel.py:567: Warning: /build/buildd/glib2.0-2.31.20/./gobject/gsignal.c:2572: instance `0x132fd00' has no handler with id `184'
  self.__appindicator.set_menu(menu)

Another workaround fix:

$ sudo mv /etc/X11/Xsession.d/80im-switch /etc/X11/Xsession.d/95im-switch

What do you think about it?

That fix would be nice (although i haven't test it yet).
It's could be related to im-switch (https://launchpad.net/ubuntu/+source/im-switch/) but this is not source of problem.
This hack seems suitable if it won't affect other input-methods :D.

Hmm,

$ sudo mv /etc/X11/Xsession.d/80im-switch /etc/X11/Xsession.d/99im-switch

is better.

I think IBus is too fast to start up after login. So this workaround is effective.

> This hack seems suitable if it won't affect other input-methods :D.
Right. we need to more test.

Another workaround:
1. edit /usr/share/applications/ibus.desktop
 from "Exec=ibus-daemon --xim" to "Exec=ibus-daemon --xim --replace"
2. start Dash on Unity
3. input "ibus" and enter
4. ibus-daemon restart

IMHO, The better workaround is #19.
Please consider to apply this patch.
This is no harm.

no longer affects: unity (Ubuntu)

Just 29 day lefts to the final release. And the Beta 2 will be released tomorrow. They just apply critical bugs after Beta Freeze.

Hi Ubuntu Sponsors Team, what do you think about?

Fumihito YOSHIDA (hito) wrote :

Me and Ikuya (and some Japanese Team members, that include CJK/i18n professionals) discuss about this problems. As a conclusion of the arguments, that problem has complex state and something race conditions, real fix is too hard for shottime.

However, indicator-ibus icon is important part of Desktop UX, because that is way of "IM invoke", many beginners use this icon (well, beginners hate keyboard shortcuts) .

So, in Precise, we believe that this problem's workaround should be included in release note, I filed "Release Notes for Ubuntu".

The workaround is same as comment 8, that include setup commands:
( from https://lists.ubuntu.com/archives/ubuntu-jp/2012-April/004116.html , Original wrote: Ikuya Awashiro )

------------------------------------------------------------
Release notes :
------------------------------------------------------------
    In some cases (We could not identify the outbreak condition of the problem yet), ibus-indicator does not show in your indicator area. When you encounter a problem, workaround is below:
{{{
$ gsettings set com.canonical.Unity.Panel systray-whitelist "['JavaEmbeddedFrame', 'Wine', 'scp-dbus-service', 'Update-notifier', 'ibus']"
}}}
------------------------------------------------------------

Looks "reasonable" to me, but it also looks kind of unusual if not unneeded to have the desktop file try to replace any previously running Ibus daemon.

As far as I'm concerned, a rather more correct fix would be to look at the indicator and figure out why it doesn't always get realized when the session starts. From my experience it's very much based on the exact configuration used in the internationalization dialogs, but it's hard to set it right ;)

Changed in ibus (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium

Looks "reasonable" to me, but it also looks kind of unusual if not unneeded to have the desktop file try to replace any previously running Ibus daemon.

That said, I'm (obviously) not usually using ibus; so if someone could walk me through exactly how this is setup in an installation, step by step, maybe we can find something that hints towards the exact issue. I just tried adding vietnamese on my laptop and set the input method to ibus, and after a reboot the ibus indicator was immediately visible.

As far as I'm concerned, a rather more correct fix would be to look at the indicator and figure out why it doesn't always get realized when the session starts. From my experience it's very much based on the exact configuration used in the internationalization dialogs, but it's hard to set it right ;)

Unsubscribing sponsors since there's more work needed here. I'll start looking at the indicator and see if there's something missing to track the state of the daemon properly.

So I'll sponsor the patch as-is with the change to the ibus-daemon parameters. This affects both Oneiric and Precise, but we'll start with pushing this to precise-proposed for testing, at which point we can also upload to oneiric-proposed.

description: updated
Changed in ibus (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → Medium
Changed in ibus (Ubuntu Precise):
status: Triaged → In Progress
Fumihito YOSHIDA (hito) wrote :

Mathieu,

IMHO, Ikuya's patch is not affect ibus-daemon startup sequence. Because ibus-daemon was kicked by /etc/X11/Xsession.d/80im-switch, not .desktop file.

The patch provides workaround, " If user click the ibus icon, ibus-daemon will restart (and fix indicator problem)", not automatic care. That needs users interactions.

I can't reproduce the issue even without the patch, for me the ibus indicator always shows. Is there something I'm missing here?

Fumihito, can you update the description of this bug to be more accurate since you clearly know more about the exact issue than I do?

Changed in ibus (Ubuntu Precise):
status: In Progress → Incomplete

Ubuntu 12.04 will be released tomorrow, so I will try to reproduce this bug with the fresh installation on Vitural Machine without any workaround. Then I will try to provide some fixing for Vietnamese user by workaround deb package.

Fumihito YOSHIDA (hito) on 2012-04-26
description: updated
Fumihito YOSHIDA (hito) wrote :

Mathieu, I updated the descriptions, but my Engish is poor, could you cralify that? :)

> I can't reproduce the issue even without the patch, for me the ibus indicator always shows. Is there something I'm missing here?

Yes, you are right, this problem caused by race conditions (probably, machine environments/performance are key factor), may not even reproduce

Andy Whitcroft (apw) on 2012-04-26
Changed in ubuntu-release-notes:
status: New → Invalid
Anthony Wong (anthonywong) wrote :

On my machine, I can always reproduce this bug -- there is no ibus icon every time I login to Unity. This bug happens to me some time during the Oneiric timeframe.

Perhaps this is more a Unity bug rather than ibus's?

For me, I applied the patch in #20 and then ln -s /usr/share/applications/ibus.desktop /etc/xdg/autostart/, which fixes the problem without any manual intervention.

@Matt, if you want to see this bug in action, I am happy to show you my machine during UDS-Q.

Kwok Ho Yin (hykwok1) wrote :

I also has this problem under Ubuntu 12.04.
In the past, if iBus icon didn't appear on the bar, I had to type the following command in the console screen:
ibus-daemon --xim --replace -d. (the idea comes from #19)
And then the icon appeared again.
But it was not good to do this every time.
So, I modified the boot sequences (likes #18):
sudo mv /etc/X11/Xsession.d/80im-switch /etc/X11/Xsession.d/85im-switch
(I found some "90" jobs in /etc/X11/Xsession folder so I just delay iBus a little bit)
And at this moment it works for me.

Kwok Ho Yin (hykwok1) wrote :

Just for more information.

In my system, /etc/X11/Xsession.d/ folder has these files:
......
80appmenu
80appmenu-gtk3
80im-switch
90comsolekit
90qt-a11y
......

As you see 'appmenu', 'appmenu-gtk3' and 'im-switch' have same startup order.
I am not sure which one will be executed firstly while 'appmenu' and 'appmenu-gtk3' just export 'libappmenu.so'. (Export GTK menus over DBus ?)
Thus, I decrease the order of 'im-switch' from '80' to '85' in order to:
1. make sure 'libappmenu.so' is exported before 'im-switch' is executed.
2. startup sequence is remain unchanged.

Fumihito YOSHIDA (hito) wrote :

I belived this bug is confirmed/triaged for bug squashing. Dear bug squashers, could you please set "Triaged"?

Changed in ibus (Ubuntu Precise):
status: Incomplete → Confirmed
Changed in ibus (Ubuntu):
status: Incomplete → Confirmed

I'm adding the OEM Priority task to this bug because this bug has the potential to affect many users of OEM pre-load systems and needs to be fixed.

Anthony Wong (anthonywong) wrote :

I modified my system according to #34 but it did not work. It also did not work when I changed 80im-switch to 89im-switch, until I changed it to 90im-switch.

ls -1 /etc/X11/Xsession.d:
[...]
75dbus_dbus-launch
80appmenu
80appmenu-gtk3
90apparmor-notify
90consolekit
90im-switch
90qt-a11y
90x11-common_ssh-agent

I also added im-switch package to this bug since 80im-switch is owned by it.

Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
Anthony Wong (anthonywong) wrote :

After more testing was done, #37 doesn't work reliably. I'm now back to my original workaround in #32.

Changed in oem-priority:
importance: Undecided → Medium
Xiaojun Ma (damage3025) wrote :

Hi, all.

I've just done "apt-get source ibus" and skimmed the code a little bit.

I found that Ubuntu hacked origin IBus code a little bit to support Application indicators.
http://developer.ubuntu.com/resources/technologies/application-indicators/
Origin IBus uses "old school" GtkStatusIcon.

The hacked code would detect whether AppIndicator exists.
So we got race condition as a final result.

A better approach of supporting IBus and other IM framework is using a separate UI.
The UI can be very native to DE concerned and it communicates with the IM framework concerned through DBus.

I've found four existing examples:
https://github.com/tualatrix/fcitx-gimpanel (DE: Unity, IMF: Fcitx)
https://github.com/fujiwarat/ibus-gjs (DE: GNOME, IMF: IBus)
http://userbase.kde.org/Tutorials/Kimpanel (DE: KDE, IMF: Multiple)
https://github.com/csslayer/kimpanel-for-gnome-shell (DE: GNOME, IMF: Multiple)

Changed in oem-priority:
assignee: James M. Leddy (jm-leddy) → David Barth (dbarth)

I have another solution of "im-switch for Desktop Environment".
https://launchpad.net/~ikuya-fruitsbasket/+archive/ibus?field.series_filter=quantal
This starts ibus-daemon (XIM_PROGRAM in im-switch) from XDG autostart (/etc/xdg/autostart/) instead of Xsession.
Why “for Desktop Environment”?
It is because some Window Manager may not be supporting autostart. But I don't know for sure.
Of course, It will work on Ubuntu/Kubuntu/Xubuntu/Lubuntu.
Any comments?

tags: added: rls-q-incoming
Changed in im-switch (Ubuntu Oneiric):
status: New → Confirmed
Changed in im-switch (Ubuntu Precise):
status: New → Confirmed
Changed in im-switch (Ubuntu):
status: New → Confirmed
Changed in oem-priority:
assignee: David Barth (dbarth) → James M. Leddy (jm-leddy)
tags: added: rls-q-notfixing
removed: rls-q-incoming
Changed in im-switch (Ubuntu Quantal):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → In Progress
Changed in im-switch (Ubuntu Precise):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → In Progress
Changed in oem-priority:
status: New → In Progress
37 comments hidden view all 117 comments
Aron Xu (happyaron) wrote :

Avoid possible regression is much more important for SRU than fixing a certain bug, especially when it's not security related. I know your intention is good, but it's not the way a distribution maker would chase in a stable release.

Xiaojun Ma (damage3025) wrote :

Hello Aron:

Please help testing and stop repeating cliche, TYIA.

Xiaojun Ma (damage3025) wrote :

Test result for backported im-switch on 12.04 (35/35).

Xiaojun Ma (damage3025) wrote :

The above number should be (34/34).

Aron Xu (happyaron) on 2012-10-28
Changed in ibus (Ubuntu):
status: Confirmed → Invalid
Changed in ibus (Ubuntu Oneiric):
status: Triaged → Invalid
Changed in ibus (Ubuntu Precise):
status: Confirmed → Invalid
Changed in ibus (Ubuntu Quantal):
status: Confirmed → Invalid
Aron Xu (happyaron) on 2012-10-28
no longer affects: language-selector (Ubuntu Oneiric)
no longer affects: language-selector (Ubuntu Precise)
no longer affects: language-selector (Ubuntu Quantal)
Gunnar Hjalmarsson (gunnarhj) wrote :

Considering what we now know about what causes this bug, I invalidated a few more tasks.

Changed in language-selector (Ubuntu):
status: New → Invalid
Changed in unity (Ubuntu):
status: New → Invalid
no longer affects: unity (Ubuntu Oneiric)
no longer affects: unity (Ubuntu Precise)
no longer affects: unity (Ubuntu Quantal)
Changed in im-switch (Ubuntu Oneiric):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → In Progress
Xiaojun Ma (damage3025) wrote :

Hello Gunnar:
You really think that delay 10 seconds is enough?

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2012-10-30 22:24, Ma Xiaojun wrote:
> You really think that delay 10 seconds is enough?

No, I know it's not. But, as you know, the more robust fix of this issue will happen when the deprecated im-switch is exchanged for im-config. And that's going to happen soon irrespective of this bug.

I didn't mean to imply anything else with cleaning up some tasks.

On 10/30/12 5:15 PM, Gunnar Hjalmarsson wrote:
> No, I know it's not. But, as you know, the more robust fix of this issue
> will happen when the deprecated im-switch is exchanged for im-config.
> And that's going to happen soon irrespective of this bug.

I believe that "the more robust fix" should land 11.10/12.04/12.10 as
im-switch upgrade also.

As you seems to be the guy who can upload, can you name some test
requirements beyond what I have already done? Please don't blindly say
it is risky.

I'm in no way want a very soon shipping of backported im-switch. We can
for example set up a PPA, "advertise" it somehow and monitor and wait
until April, 2013 to see whether it works good. April, 2013 is too late
for 11.10 but okay for 12.04 and 12.10 I guess.

You can ship "sleep 10" first.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2012-10-30 23:41, Ma Xiaojun wrote:
> As you seems to be the guy who can upload,

You couldn't be more wrong. ;-) I have no upload rights at all. But as anybody else I can submit patches and merge proposals.

You know what; since you seem to feel strongly about this, you may want to actually propose a better fix of im-switch for Raring (before im-switch goes away), and if it's approved, then request that it's backported as a backport: https://wiki.ubuntu.com/UbuntuBackports

I did that a few cycles ago with some other i18n related changes, even if I personally would have preferred them being SRUed. https://bugs.launchpad.net/bugs/719815

> You can ship "sleep 10" first.

I can't, but somebody else hopefully will do it soon.

tags: added: natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-switch - 1.22ubuntu3

---------------
im-switch (1.22ubuntu3) raring; urgency=low

  * 80im-switch:
    - Delay the start of an input method framework with 10 seconds
      to increase the chances that its icon (e.g. an iBus icon) is
      shown in Unity's menu bar (LP: #875435).
      Thanks to Aron Xu for reviewing and improving the patch!
 -- Gunnar Hjalmarsson <email address hidden> Tue, 30 Oct 2012 19:06:00 +0100

Changed in im-switch (Ubuntu):
status: In Progress → Fix Released
Brian Murray (brian-murray) wrote :

I've uploaded this to raring, quantal, precise and oneiric. Thanks for you work!

Xiaojun Ma (damage3025) wrote :

Don't mark this as "Fix Released", Gunnar's "sleep 10" is just a semi-work solution, as shown in comment #59, #60, #61.

tags: added: verification-needed
Changed in im-switch (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in im-switch (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in im-switch (Ubuntu Quantal):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

While I've uploaded them to the stable releases the SRU archive admin team still needs to approve those uploads.

Xiaojun Ma (damage3025) wrote :

I've now made a branch for ROOT FIX.

https://code.launchpad.net/~damage3025/ubuntu/raring/im-switch/root-fix-lp875435

I even tried to make the documentation consistent.

Things left behind:
1. Debian.README is long and kind of useless, maybe we can just remove it.
2. The postinst script should be more careful about removing /etc/X11/Xsession.d/80im-switch
3. Lintian warns me about NMU stuff on source package.

Gunnar Hjalmarsson (gunnarhj) wrote :

Nice, Ma! :) Obviously you put quite some effort in that branch.

Now, how about bearing Rodney's advice at https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2012-November/014024.html in mind, and following the SRU procedure. Next step would be to create a merge proposal and have it accepted and uploaded to Raring.

Hopefully someone can change the status of the im-switch (Ubuntu) task from "Fix Released" to "In Progress" (I can't), and you can assign the task to yourself. I suppose that the O, P and Q tasks should not be altered until the "sleep 10" SRU process has been completed.

Gunnar Hjalmarsson (gunnarhj) wrote :

Two comments on Ma's branch:

* I don't think that 80im-switch needs to be explicitly removed via
  debian/postinst, but it should be automatically removed when upgrading
  from a previous im-switch version (untested).

* When removing "sleep 10", you'd better replace those blocks (including
  the trailing & characters) with what it looked like in revision 13.

Changed in im-switch (Ubuntu):
assignee: Gunnar Hjalmarsson (gunnarhj) → Ma Xiaojun (damage3025)
status: Fix Released → In Progress
Aron Xu (happyaron) wrote :

Please don't waste time on this issue anymore, if you want get more stuff fixed in R and later, port language-selector to im-config. It won't be too much more work than maintaining a crappy version of an abandoned project.

Changed in im-switch (Ubuntu):
assignee: Ma Xiaojun (damage3025) → nobody
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

@Aron
Please see comment #1 at bug #1076975.

Anthony Wong (anthonywong) wrote :

Hi Aron, it's just for tracking purpose until the bug is fixed, no matter what the implementation will be. Although Fix Released for R is not correctly reflecting the current situation, I won't be pedantic and will just leave it as is.

Hello Duy, or anyone else affected,

Accepted im-switch into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/im-switch/1.22ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Gunnar Hjalmarsson (gunnarhj) wrote :

I have installed im-switch 1.22ubuntu2.1 from quantal-proposed and run it successfully. On my system it makes the iBus icon appear reliably on the menu bar.

It should be noted that im-switch packages (Quantal and Precise) with basically the same change have been available for testing in my PPA for a month; please see comment #47. A few persons have reported their test results on this bug report (comment #62). The delay approach is not a perfect solution, but it works fine for some users, and there seems to be a concensus that it's at least an improvement.

I exchanged the verification-needed tag for verification-done.

tags: added: verification-done
removed: verification-needed
Clint Byrum (clint-fewbar) wrote :

Hello Duy, or anyone else affected,

Accepted im-switch into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/im-switch/1.20ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done verification-done-quantal
Clint Byrum (clint-fewbar) wrote :

Hello Duy, or anyone else affected,

Accepted im-switch into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/im-switch/1.20ubuntu5.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
Gunnar Hjalmarsson (gunnarhj) wrote :

I have installed im-switch 1.20ubuntu5.1 from precise-proposed and run it successfully. On my system it makes the iBus icon appear reliably on the menu bar.

Could anybody, who has Ubuntu 11.10 installed, test im-switch 1.20ubuntu5.0 in oneiric-proposed, please?

tags: added: verification-done-precise
Gunnar Hjalmarsson (gunnarhj) wrote :

I have installed im-switch 1.20ubuntu5.0 from oneiric-proposed and run it successfully. On my system it makes the iBus icon appear reliably on the menu bar.

tags: added: verification-done verification-done-oneiric
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-switch - 1.20ubuntu5.0

---------------
im-switch (1.20ubuntu5.0) oneiric-proposed; urgency=low

  * 80im-switch:
    - Delay the start of an input method framework with 10 seconds
      to increase the chances that its icon (e.g. an iBus icon) is
      shown in Unity's menu bar (LP: #875435).
      Thanks to Aron Xu for reviewing and improving the patch!
 -- Gunnar Hjalmarsson <email address hidden> Tue, 30 Oct 2012 19:06:00 +0100

Changed in im-switch (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-switch - 1.20ubuntu5.1

---------------
im-switch (1.20ubuntu5.1) precise-proposed; urgency=low

  * 80im-switch:
    - Delay the start of an input method framework with 10 seconds
      to increase the chances that its icon (e.g. an iBus icon) is
      shown in Unity's menu bar (LP: #875435).
      Thanks to Aron Xu for reviewing and improving the patch!
 -- Gunnar Hjalmarsson <email address hidden> Tue, 30 Oct 2012 19:06:00 +0100

Changed in im-switch (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-switch - 1.22ubuntu2.1

---------------
im-switch (1.22ubuntu2.1) quantal-proposed; urgency=low

  * 80im-switch:
    - Delay the start of an input method framework with 10 seconds
      to increase the chances that its icon (e.g. an iBus icon) is
      shown in Unity's menu bar (LP: #875435).
      Thanks to Aron Xu for reviewing and improving the patch!
 -- Gunnar Hjalmarsson <email address hidden> Tue, 30 Oct 2012 19:06:00 +0100

Changed in im-switch (Ubuntu Quantal):
status: Fix Committed → Fix Released
James M. Leddy (jm-leddy) wrote :

For OEM's we consider this closed for now since we don't use ibus anymore. If im-switch has lingering bugs, we will re-open those against im-switch.

Changed in oem-priority:
status: In Progress → Fix Released
Xiaojun Ma (damage3025) wrote :

> For OEM's we consider this closed for now since we don't use ibus anymore. If im-switch
> has lingering bugs, we will re-open those against im-switch.

I wonder what do you use then?

todaioan (alan-ar06) wrote :

<email address hidden>

Changed in ibus (Ubuntu):
assignee: nobody → todaioan (alan-ar06)
status: Invalid → Fix Released
Aron Xu (happyaron) wrote :

Canonical's China OEM version has been using Fcitx for several releases.

On Mon, Nov 26, 2012 at 11:31 PM, Aron Xu <email address hidden> wrote:
> Canonical's China OEM version has been using Fcitx for several releases.

But the Fcitx package is outdated in official repo?

Anthony Wong (anthonywong) wrote :

My friends, please take any discussion that's unrelated to this bug to private email or other forums, thanks.

Changed in ibus (Ubuntu):
assignee: todaioan (alan-ar06) → nobody
status: Fix Released → Invalid
Xiaojun Ma (damage3025) wrote :

Well, I guess we are discussing whether we should close OEM for this bug.

tbys (tbys) wrote :

I am still seeing this issue on Quantal Quetzal with im-switch 1.22ubuntu2.1.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2012-12-12 02:47, tbys wrote:
> I am still seeing this issue on Quantal Quetzal with im-switch
> 1.22ubuntu2.1.

In Raring the issue has just been fixed in a better way by replacing im-switch with im-config.

ttmy (msh2nfrou) wrote :

I have same problem on ubuntu 12.10. After login, ibus icon does not show on panel bar but running. And also available to use myanmar font which use ibus for keyboard input method. #16 and #19 are not solutions. iBus still missing until i do "ibus-daemon -rxd". But also it is not root fix. Root fix solution for this iBus bug is urgent need for me and other myanmar ubuntu users, of course.

Gunnar Hjalmarsson (gunnarhj) wrote :

Upgrading to 13.04 is one way to ged rid of this bug completely.

Otherwise it has struck me that a backport of im-config may be an option.
http://developer.ubuntu.com/packaging/html/backports.html

Is anybody willing to
1) request that the current Raring version of im-config is backported to e.g. Quantal and Precise
2) somehow inform the im users about this possibility
?

This would require a small change to language-selector so that im-switch is made a "recommend" rather than a "depend" but I think that would be doable.

Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.